# norootforbuild

%define		soname	15

Name:		libetpan
Version:	1.0
Release:	1.93

Summary:	Mail Handling Library
Url:		http://libetpan.sourceforge.net/
License:	GPL v2 or later
Group:		System/Libraries

Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	cyrus-sasl-devel gcc-c++ libcurl-devel libdb-4_5-devel
BuildRequires:	libopenssl-devel


%description
libEtPan is a mail purpose library. It will be used for low-level mail
handling : network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and
SSL/TCP/IP, already implemented), local storage (mbox/MH/maildir),
message / MIME parse


%package -n %{name}%{soname}
License:	BSD 3-Clause
Summary:	Mail handling library
Group:		System/Libraries

%description -n %{name}%{soname}
libEtPan is a mail purpose library. It will be used for low-level mail
handling : network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and
SSL/TCP/IP, already implemented), local storage (mbox/MH/maildir),
message / MIME parse


%package -n %{name}-devel
License:	BSD 3-Clause
Summary:	Mail handling library
Group:		Development/Languages/C and C++
Requires:	%{name}%{soname} = %{version}
Requires:	cyrus-sasl-devel gcc-c++ libcurl-devel libdb-4_5-devel
Requires:	libopenssl-devel

%description -n %{name}-devel
libEtPan is a mail purpose library. It will be used for low-level mail
handling : network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and
SSL/TCP/IP, already implemented), local storage (mbox/MH/maildir),
message / MIME parse





%prep
%setup -q -n %{name}-%{version}


%build
%configure --disable-static
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
# remove unneeded *.la
%__rm %{buildroot}%{_libdir}/%{name}.la


%clean
%__rm -rf  %{buildroot}


%post -n libetpan%{soname} -p /sbin/ldconfig

%postun -n libetpan%{soname} -p /sbin/ldconfig


%files -n %{name}%{soname}
%defattr(-, root, root)
%doc ChangeLog NEWS doc/README*
%{_libdir}/%{name}.so.*

%files -n %{name}-devel
%defattr(-, root, root)
%doc doc/API* doc/DOCUMENTATION
%{_bindir}/%{name}-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so

%changelog
* Sat May 22 2010 Detlef Reichelt <detlef@links2linux.de> 1.0
- new upstream version <1.0>

* Wed Jun 17 2009 puzel@suse.cz
- update to 0.58
  * Improvements on SSL implementation.
  * Gnutls: Better fix (API-compatible with libgnutls13)
  * Gnutls: Use compatibility mode to avoid being unable to
  * connect to some servers. (see Claws Mail's bug #1930)
  * SSL: Rehandshake if server asks to.
* Mon Dec  8 2008 puzel@suse.cz
- fix rpmlint warnings: summary not capitalized
- update to 0.57
  - fixed issue with GnuTLS
* Mon Oct 13 2008 nadvornik@suse.cz
- fixed rpmlint errors - implicit decrarations and ldconfig
* Fri Sep 12 2008 anosek@suse.cz
- updated to version 0.56
  * bugfix release
- removed libtool from BuildRequires
* Wed Mar  5 2008 anosek@suse.cz
- updated to version 0.54
  - fixed regression on IMAP APPEND
  - cleanup
  - version fixes
  - IPv6 issue
  - gmail issues
* Tue Sep 11 2007 ro@suse.de
- drop useless requires for librsaref2
* Mon Aug 13 2007 bwalle@suse.de
- sort this changes file to fix build in BuildService
* Fri Aug  3 2007 anosek@suse.cz
- updated to version 0.51
  * bugfix release
- dropped obsoleted mailsmtp.patch
* Wed Jul 25 2007 anosek@suse.cz
- updated to version 0.50
  * feature enhancements:
  RSS/ATOM feed implemented
  switched to automake build system
  IMAP IDLE implemented
  fetching by Message-Id implemented
  * fixes:
  several build fixes for Windows
  documentation build fixed
- fixed compilation error (mailsmtp.patch)
* Mon Jul 23 2007 suse-tux@gmx.de
- fixed build on older suse versions (< 1030)
- renamed devel package to libetpan-devel (as suggested by
  darix)
* Mon Jul  2 2007 lrupp@suse.de
- rsaref => librsaref2
* Mon Jun 18 2007 ro@suse.de
- fix another typo in  specfile
* Fri Jun 15 2007 ro@suse.de
- fix specfile (consistently use libetpan-devel)
* Thu Jun 14 2007 suse-tux@gmx.de
- minor spec fix
* Fri Jun  8 2007 suse-tux@gmx.de
- update package to fit to the Shared Library Packaging
  Policy
- remove unused *.a and *.la files
* Tue Jan  9 2007 anosek@suse.cz
- updated to version 0.49
  * feature enhancements:
    stream cancellation
    better handling of ssl error
    improved imap cache
  * fixes:
    various bugfixes
* Thu Dec  7 2006 anosek@suse.cz
- updated to version 0.48
  * IMAP UIDPLUS support
  * Various fixes
- fixed compiler warning: uninitialized variable used
  (uninitialized.patch)
* Wed Oct 25 2006 anosek@suse.cz
- fixed compiler warning: variable used before set
  [#212522] (dbdriver.patch)
* Tue Oct 17 2006 anosek@suse.cz
- updated to version 0.47
  * feature enhancements:
    IPv6 Support
  * fixes:
    various leaks and crashes
    MIME decoding fix
    gnutls fix
    SASL fix
    AUTH parser fix
* Tue Sep 26 2006 anosek@suse.cz
- new package, version 0.46
- taken from BuildService
  (maintainer Marcus Hüwe <marcus@links2linux.de>)
